Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTriangularTCoords Class Reference

`#include <vtkTriangularTCoords.h>`

Inheritance diagram for vtkTriangularTCoords:

[legend]
Collaboration diagram for vtkTriangularTCoords:

[legend]
List of all members.

## Detailed Description

2D texture coordinates based for triangles.

Date:
  2002/01/22 15:29:54

Revision:
  1.22

vtkTriangularTCoords is a filter that generates texture coordinates for triangles. Texture coordinates for each triangle are: (0,0), (1,0) and (.5,sqrt(3)/2). This filter assumes that the triangle texture map is symmetric about the center of the triangle. Thus the order Of the texture coordinates is not important. The procedural texture in vtkTriangularTexture is designed with this symmetry. For more information see the paper "Opacity-modulating Triangular Textures for Irregular Surfaces," by Penny Rheingans, IEEE Visualization '96, pp. 219-225.

See also:
  vtkTriangularTexture vtkThresholdPoints vtkTextureMapToPlane vtkTextureMapToSphere vtkTextureMapToCylinder vtkTextureMapToBox

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (59%)
  - Schroeder, Will (24%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkTriangularTCoords.h)`
  - .`cxx` (`/Graphics/vtkTriangularTCoords.cxx)`

Tests:
  vtkTriangularTCoords (Tests)

Definition at line 55 of file vtkTriangularTCoords.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkTriangularTCoords * | New ()
int | IsTypeOf (const char *type)
vtkTriangularTCoords * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTriangularTCoords ()
| ~vtkTriangularTCoords ()
void | Execute ()

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkTriangularTCoords::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 59 of file vtkTriangularTCoords.h.

## Constructor & Destructor Documentation

vtkTriangularTCoords::vtkTriangularTCoords | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkTriangularTCoords.h.

vtkTriangularTCoords::~vtkTriangularTCoords | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkTriangularTCoords.h.

## Member Function Documentation

vtkTriangularTCoords* vtkTriangularTCoords::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTriangularTCoords::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkTriangularTCoords::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkTriangularTCoords::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkTriangularTCoords* vtkTriangularTCoords::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkTriangularTCoords::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkTriangularTCoords::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Graphics/vtkTriangularTCoords.h